Wary/Racy 5.2.2.7 (5.3beta1)

It seems that the last couple of alpha builds got out some bugs, mostly to do with internationalization changes in Woof, so I am going for beta1 builds.

The Wary build is here:
http://distro.ibiblio.org/quirky/test/wary-5.2.2.7-5.3beta1/

The Racy build is here:
http://distro.ibiblio.org/quirky/test/racy-5.2.2.7-5.3beta1/

If you are not familiar with what has been going on, that is, what has changed since earlier pup releases (Slacko, Wary, Racy), please browse down through my blog.

You will notice that the Wary ISO is very big. This is due to all of the analog modem drivers -- in Wary 5.2.2 I left out the Intel 53x modem drivers due to their enormous size, this time left them in. So, this time it really is the "kitchen sink" included, more SCSI drivers too.

Here is the Woof commit, dated 2012-02-21:
http://bkhome.org/fossil/woof2.cgi/timeline

...note the change in how 'xwin' is executed. Karl Godt raised this issue in the Puppy Forum and I took another look at it. Here is a relevant earlier blog post:
http://bkhome.org/blog/?viewDetailed=02381

Regarding the problem of how to launch 'xwin', this is a very ancient problem right from the early days of Puppy, and I think exposes a fundamental problem with Busybox and it's lack of support for runlevels in /etc/inittab. Unfortunately, the Busybox developers never provided an alternative to the runlevels. That is, there is no way to run 'xwin' after /etc/profile and /root/.profile (or .bashrc) have run (they are only supposed to set environment variables, not run executables).


Posted on 21 Feb 2012, 15:56


Comments:

Posted on 21 Feb 2012, 17:24 by BarryK
5.2.2.7 Forum feedback
I have started a Forum thread for feedback:
http://murga-linux.com/puppy/viewtopic.php?t=76182

Also see my next blog post, a to-do list:
http://bkhome.org/blog/?viewDetailed=02706



Posted on 22 Feb 2012, 7:19 by scsijon
devx-racy not known error403
title says it all, sorry.


Posted on 22 Feb 2012, 8:16 by BarryK
Re devx-racy 403
I just tried, I can download it.



Posted on 22 Feb 2012, 9:56 by broomdodger
retrovol retro
racy5226
racy5227
The retrovol reverts to default settings after a restart.

Bill



Posted on 22 Feb 2012, 10:14 by broomdodger
retrovol retro also wary
wary5227

The retrovol reverts to default settings after a restart.

Bill


Posted on 22 Feb 2012, 10:58 by BarryK
re retrovol reboot
Thanks, fixed, see here:
http://bkhome.org/blog/?viewDetailed=02711



Posted on 22 Feb 2012, 13:35 by broomdodger
Utility > Glade - No Icon
Still :)

Utility > Glade - No Icon

When devx_racy_5.2.2.7.sfs installed.

Bill



Posted on 22 Feb 2012, 22:14 by Terryphi
Load more than 6 SFS files
Barry,

Your comments on the proposal in this thread would be welcome to those of use enamoured of SFS packages.

http://www.murga-linux.com/puppy/viewtopic.php?t=76211

Does it have any drawbacks?


Posted on 23 Feb 2012, 8:31 by scsijon
devx ok today
wierd, yesterday it wouldn't acknowledge with a error403. I did try again later with the same result, but this morning it's coming down. Oh well?????


Posted on 23 Feb 2012, 8:39 by BarryK
Re more than 6 sfs
Apart from a slow-down as more SFSs are added, there is an interaction issue that makes me recommend people use only a minimum number of SFSs.

I upped it to 6 awhile back, but even that many I was reluctant to support.

Layering many SFS files, from many different places, it is likely that they will have their own libraries, and it will be very easy to break things. That is, one layer can introduce libs that break or compromise libs or executables on another layer.



Posted on 25 Feb 2012, 22:53 by vicmz
Gnome MPlayer doesn't work
This has happened to me since the very first version of Racy. Gnome MPlayer won't launch, or will launch and cause the system to crash. None of the versions of Gnome MPlayer available in the repos seem to work at all in Racy. And with 5.2.2.7 I can't play videos even with Mplayer alone. :puzzled: It won't accept VLC either.


Posted on 26 Feb 2012, 7:49 by BarryK
Re videos
I just tested some videos with mplayer, they play ok.



Posted on 28 Feb 2012, 13:00 by linuxcbon
runlevels
Is it possible to replace busybox init by sysvinit ?
It's small too.



Posted on 28 Feb 2012, 16:10 by technosaurus
sysvinit
Busybox's own Denys Vlasenko puts it best...
http://busybox.net/~vda/init_vs_runsv.html


Posted on 28 Feb 2012, 17:03 by BarryK
Runit
technosaurus,
You might have found something that could be the basis of the next Quirky!



Posted on 29 Feb 2012, 8:36 by vicmz
re videos
I'm using 5.2.2.8 and mplayer works, thanks. I just wanted to be able to play videos full screen, I couldn't with mplayer that's why I wanted to try something else.


Posted on 29 Feb 2012, 17:54 by BarryK
Mplayer full screen
vicmz,
Mplayer should be able to do full-screen, but I don't think that works if you are using the generic 'vesa' video driver.



Posted on 30 Feb 2012, 8:22 by broomdodger
where is wary 5.2.2.7
I have checked http://distro.ibiblio.org/quirky/test
and found devx_wary_5.2.2.7.sfs
but the iso has disappeared.

Bill



Posted on 30 Feb 2012, 8:24 by broomdodger
acer aspire one wireless trouble
I was having trouble with racy 5.2.2.8 on Acer Aspire One,
specifically the wireless.

The wireless worked at first. But there is a switch on the front to turn off wireless and it got bumped and nothing would bring back wireless back, no hardware detected.

To get working again, I started in WinXP, wireless worked.
Then restarted racy and it works again.

Why does the wireless driver not recognize the switch?

Any other ideas to get it working?

Bill



Posted on 13 Mar 2012, 21:29 by peebee
Wary 5.2.2.7 links broken?
Hi Barry

Could you check the download links for Wary 5.5.2.7 please?

The links in your blog give 404 errors....

and if you go to Ibiblio then the devx in quirky/test is showing as just 100K big....

Thanks
PeeBee


Posted on 14 Mar 2012, 8:32 by BarryK
5.2.2.9 released
peebee,
These early betas are a moving target. I am taking them off ibiblio when a newer version gets released. Latest is 5.2.2.9:

http://bkhome.org/blog/?viewDetailed=02743

...except that I only uploaded Racy 5.2.2.9. Will probably build both Wary and Racy for the next release.



Posted on 16 Mar 2012, 6:28 by broomdodger
racy5229 pae
Dell Inspiron 600m is the first machine I have tried that had a problem with racy.

racy522 and racy5229 both complain the cpu does not support pae.

wary522 works.
ubuntu 10.04LTS works.

Can someone explain pae?

Also, where did wary5227 disappear to?